from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFileDialog(XInterface, Protocol):
    def setPath(self, Path: str) -> None: ...
    def getPath(self) -> str: ...
    def setFilters(self, rFilterNames: sequence<string>, rMasks: sequence<string>) -> None: ...
    def setCurrentFilter(self, Filter: str) -> None: ...
    def getCurrentFilter(self) -> str: ...
